Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Any_var Class Reference

Provide for automatic storage deallocation on going out of scope. More...

`#include <Any.h>`

Collaboration diagram for CORBA_Any_var:

[legend]
List of all members.

## Public Methods
| CORBA_Any_var (void)
| default constructor. More...
| CORBA_Any_var (CORBA_Any *a)
| construct from an Any pointer. More...
| CORBA_Any_var (const CORBA_Any_var &a)
| copy constructor. More...
| ~CORBA_Any_var (void)
| destructor. More...
CORBA_Any_var & | operator= (CORBA_Any *a)
| assignment from a pointer to Any. More...
CORBA_Any_var & | operator= (const CORBA_Any_var &a)
CORBA_Any * | operator-> (void)
| arrow operator (smart pointer). More...
| operator CORBA_Any & ()
| cast. More...
| operator const CORBA_Any * () const
| cast. More...
| operator CORBA_Any *& ()
| cast. More...
const CORBA_Any & | in (void) const
| for in Any parameter. More...
CORBA_Any & | inout (void)
| for inout Any parameter. More...
CORBA_Any *& | out (void)
| for out Any parameter. More...
CORBA_Any * | _retn (void)
| for Any return types. More...
## Private Attributes
CORBA_Any * | ptr_
| Holds the Any. More...

## Detailed Description

Provide for automatic storage deallocation on going out of scope.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Any_var::CORBA_Any_var | ( | void |  | ) |

| default constructor.

ACE_INLINE CORBA_Any_var::CORBA_Any_var | ( | CORBA_Any * | p | ) |

| construct from an Any pointer.

ACE_INLINE CORBA_Any_var::CORBA_Any_var | ( | const CORBA_Any_var & | r | ) |

| copy constructor.

ACE_INLINE CORBA_Any_var::~CORBA_Any_var | ( | void |  | ) |

| destructor.

## Member Function Documentation

ACE_INLINE CORBA_Any * CORBA_Any_var::_retn | ( | void |  | ) |

| for Any return types.

ACE_INLINE const CORBA_Any & CORBA_Any_var::in | ( | void |  | ) | const

| for in Any parameter.

ACE_INLINE CORBA_Any & CORBA_Any_var::inout | ( | void |  | ) |

| for inout Any parameter.

ACE_INLINE CORBA_Any_var::operator const CORBA_Any * | ( |  | ) | const

| cast.

ACE_INLINE CORBA_Any_var::operator CORBA_Any & | ( |  | ) |

| cast.

ACE_INLINE CORBA_Any_var::operator CORBA_Any *& | ( |  | ) |

| cast.

ACE_INLINE CORBA::Any * CORBA_Any_var::operator-> | ( | void |  | ) |

| arrow operator (smart pointer).

CORBA_Any_var& CORBA_Any_var::operator= | ( | const CORBA_Any_var & | a | ) |

| assignment from an Any_var This operation requires memory allocation. If the allocation fails, *this is returned unmodified.

CORBA_Any_var& CORBA_Any_var::operator= | ( | CORBA_Any * | a | ) |

| assignment from a pointer to Any.

ACE_INLINE CORBA_Any *& CORBA_Any_var::out | ( | void |  | ) |

| for out Any parameter.

## Member Data Documentation

CORBA_Any* CORBA_Any_var::ptr_`[private]`

| Holds the Any.

The documentation for this class was generated from the following files:

- Any.h
- Any.i